package cn.yw.machinemanage.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywmachinehistorystateDao")
public class YwmachinehistorystateDao  extends BaseSqlMapDAO{

	
	/**
	 * 查询总数
	 */
	public Integer count_Ywmachinehistorystate(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywmachinehistorystate",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ywmachinehistorystate(Map map) throws SQLException{
		return this.queryForPage("query_Ywmachinehistorystate",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywmachinehistorystate(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywmachinehistorystate",map);
	}
	
}
